Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.query
Class WorkflowSelectors

    java.lang.Object
      com.ibm.workplace.wcm.api.query.WorkflowSelectors

All Implemented Interfaces:
  QueryElement, Selector, java.io.Serializable

    public abstract class WorkflowSelectors

extends java.lang.Object
implements Selector

`WorkflowSelectors` is a helper class to create workflow related `Selector`.

Since:
  7.0
See Also:
  Serialized Form

Nested Class Summary
`protected static interface` | `WorkflowSelectors.Factory` Factory interface, used for internal implementation
`static class` | `WorkflowSelectors.Status` Workflow status

Field Summary

Fields inherited from interface com.ibm.workplace.wcm.api.query.Selector
`NULL_SELECTOR`

Constructor Summary
`WorkflowSelectors()`

Method Summary
`static Selector` | `approversContains(java.util.Collection<java.lang.String> approvers)` Deprecated. Since 8.5 WARNING! This selector does not work. Due to a data model change, they query mechanism is no longer applicable. Similar functionality can be achieved using a different API. However, the APPROVER role has been replaced by two more specific roles (Draft Creator and Reviewer) e.g. `QueryService service = getQueryService(); Query q = service.createQuery(); AccessFilter filter = service.createAccessFilter(Access.REVIEWER, FilterOperation.ANY_USER, getUsers()); q.setAccessFilter(filter);`
`static Selector` | `approversContains(java.lang.String... approvers)` Deprecated. Since 8.5 WARNING! This selector does not work. Due to a data model change, they query mechanism is no longer applicable. Similar functionality can be achieved using a different API. However, the APPROVER role has been replaced by two more specific roles (Draft Creator and Reviewer) e.g. `QueryService service = getQueryService(); Query q = service.createQuery(); AccessFilter filter = service.createAccessFilter(Access.REVIEWER, FilterOperation.ANY_USER, getUsers()); q.setAccessFilter(filter);`
`static Selector` | `expireAfter(java.util.Date expireDate, boolean includeBoundary)` Returns a selector representing 'after' a specified workflow expire date.
`static Selector` | `expireBefore(java.util.Date expireDate, boolean includeBoundary)` Returns a selector representing 'before' a specified workflow expire date.
`static Selector` | `generalDateOneAfter(java.util.Date general1Date, boolean includeBoundary)` Returns a selector representing 'after' a specified workflow general date one.
`static Selector` | `generalDateOneBefore(java.util.Date general1Date, boolean includeBoundary)` Returns a selector representing 'before' a specified workflow general date one.
`static Selector` | `generalDateTwoAfter(java.util.Date general2Date, boolean includeBoundary)` Returns a selector representing 'after' a specified workflow general date two.
`static Selector` | `generalDateTwoBefore(java.util.Date general2Date, boolean includeBoundary)` Returns a selector representing 'before' a specified workflow general date two.
`static Selector` | `publishAfter(java.util.Date publishDate, boolean includeBoundary)` Returns a selector representing 'after' a specified workflow publish date.
`static Selector` | `publishBefore(java.util.Date publishDate, boolean includeBoundary)` Returns a selector representing 'before' a specified workflow publish date.
`static Selector` | `stageEquals(Identity stage)` Returns a selector representing workflow stage 'equals'.
`static Selector` | `stageIn(java.util.Collection<? extends Identity> stages)` Returns a selector representing workflow stage 'in'.
`static Selector` | `statusEquals(WorkflowSelectors.Status status)` Returns a selector representing workflow status 'equals'
`static Selector` | `statusIn(java.util.Collection<WorkflowSelectors.Status> status)` Returns a selector representing workflow status 'in'
`static Selector` | `statusIn(java.util.Collection<WorkflowSelectors.Status> status, Identity<?> projectScope)` Returns a selector representing workflow status 'in' and project scope
`static Selector` | `statusIn(WorkflowSelectors.Status... status)` Returns a selector representing workflow status 'in'
`static Selector` | `workflowEquals(Identity workflow)` Returns a selector representing workflow 'equals'.
`static Selector` | `workflowIn(java.util.Collection<? extends Identity> workflows)` Returns a selector representing workflow 'in'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.ibm.workplace.wcm.api.query.QueryElement
`getElements, hasElements`

Constructor Detail

### WorkflowSelectors

    public WorkflowSelectors()

Method Detail

### workflowEquals

    public static Selector workflowEquals(Identity workflow)

  Returns a selector representing workflow 'equals'.

  Parameters:
    `workflow` - workflow id
  Returns:
    workflow 'equals' selector

### workflowIn

    public static Selector workflowIn(java.util.Collection<? extends Identity> workflows)

  Returns a selector representing workflow 'in'.

  Parameters:
    `workflows` - a set of workflow id
  Returns:
    workflow 'in' selector

### stageEquals

    public static Selector stageEquals(Identity stage)

  Returns a selector representing workflow stage 'equals'.

  Parameters:
    `stage` - a workflow stage id
  Returns:
    workflow stage 'equals' selector

### stageIn

    public static Selector stageIn(java.util.Collection<? extends Identity> stages)

  Returns a selector representing workflow stage 'in'.

  Parameters:
    `stages` - a set of workflow stage id
  Returns:
    workflow stage 'in' selector

### publishAfter

    public static Selector publishAfter(java.util.Date publishDate,
                                        boolean includeBoundary)

  Returns a selector representing 'after' a specified workflow publish date.

  Parameters:
    `publishDate` - publish date
    `includeBoundary` - is boundary included
  Returns:
    workflow publish date 'after' selector

### publishBefore

    public static Selector publishBefore(java.util.Date publishDate,
                                         boolean includeBoundary)

  Returns a selector representing 'before' a specified workflow publish date.

  Parameters:
    `publishDate` - publish date
    `includeBoundary` - is boundary included
  Returns:
    workflow publish date 'before' selector

### generalDateOneAfter

    public static Selector generalDateOneAfter(java.util.Date general1Date,
                                               boolean includeBoundary)

  Returns a selector representing 'after' a specified workflow general date one.

  Parameters:
    `general1Date` - general date one
    `includeBoundary` - is boundary included
  Returns:
    workflow general date one 'after' selector

### generalDateOneBefore

    public static Selector generalDateOneBefore(java.util.Date general1Date,
                                                boolean includeBoundary)

  Returns a selector representing 'before' a specified workflow general date one.

  Parameters:
    `general1Date` - general date one
    `includeBoundary` - is boundary included
  Returns:
    workflow general date one 'before' selector

### generalDateTwoAfter

    public static Selector generalDateTwoAfter(java.util.Date general2Date,
                                               boolean includeBoundary)

  Returns a selector representing 'after' a specified workflow general date two.

  Parameters:
    `general2Date` - general date two
    `includeBoundary` - is boundary included
  Returns:
    workflow general date two 'after' selector

### generalDateTwoBefore

    public static Selector generalDateTwoBefore(java.util.Date general2Date,
                                                boolean includeBoundary)

  Returns a selector representing 'before' a specified workflow general date two.

  Parameters:
    `general2Date` - general date two
    `includeBoundary` - is boundary included
  Returns:
    workflow general date two 'before' selector

### expireAfter

    public static Selector expireAfter(java.util.Date expireDate,
                                       boolean includeBoundary)

  Returns a selector representing 'after' a specified workflow expire date.

  Parameters:
    `expireDate` - expire date
    `includeBoundary` - is boundary included
  Returns:
    workflow expire date 'after' selector

### expireBefore

    public static Selector expireBefore(java.util.Date expireDate,
                                        boolean includeBoundary)

  Returns a selector representing 'before' a specified workflow expire date.

  Parameters:
    `expireDate` - expire date
    `includeBoundary` - is boundary included
  Returns:
    workflow expire date 'before' selector

### statusEquals

    public static Selector statusEquals(WorkflowSelectors.Status status)

  Returns a selector representing workflow status 'equals'

  Parameters:
    `status` - workflow status
  Returns:
    workflow status 'equals' selector

### statusIn

    public static Selector statusIn(java.util.Collection<WorkflowSelectors.Status> status)

  Returns a selector representing workflow status 'in'

  Parameters:
    `status` - a set of workflow status
  Returns:
    workflow status 'in' selector

### statusIn

    public static Selector statusIn(java.util.Collection<WorkflowSelectors.Status> status,
                                    Identity<?> projectScope)

  Returns a selector representing workflow status 'in' and project scope

  Parameters:
    `status` - a set of workflow status
  Returns:
    workflow status 'in' selector

### statusIn

    public static Selector statusIn(WorkflowSelectors.Status... status)

  Returns a selector representing workflow status 'in'

  Parameters:
    `status` - a set of workflow status
  Returns:
    workflow status 'in' selector

### approversContains

    public static Selector approversContains(java.lang.String... approvers)

  Deprecated. Since 8.5

  WARNING! This selector does not work. Due to a data model change, they query mechanism is no longer applicable. Similar functionality can be achieved using a different API. However, the APPROVER role has been replaced by two more specific roles (Draft Creator and Reviewer) e.g.
  `QueryService service = getQueryService();
  Query q = service.createQuery();
  AccessFilter filter = service.createAccessFilter(Access.REVIEWER, FilterOperation.ANY_USER, getUsers());
  q.setAccessFilter(filter);`

  This method returns an empty selector that has no effect on query results.

  Parameters:
    `approvers` -
  Returns:
    an empty selector
  See Also:
    `QueryService.createAccessFilter(Access, FilterOperation, String...)`, `Query.setAccessFilter(AccessFilter)`

### approversContains

    public static Selector approversContains(java.util.Collection<java.lang.String> approvers)

  Deprecated. Since 8.5

  WARNING! This selector does not work. Due to a data model change, they query mechanism is no longer applicable. Similar functionality can be achieved using a different API. However, the APPROVER role has been replaced by two more specific roles (Draft Creator and Reviewer) e.g.
  `QueryService service = getQueryService();
  Query q = service.createQuery();
  AccessFilter filter = service.createAccessFilter(Access.REVIEWER, FilterOperation.ANY_USER, getUsers());
  q.setAccessFilter(filter);`

  This method returns an empty selector that has no effect on query results.

  Parameters:
    `approvers` -
  Returns:
    an empty selector
  See Also:
    `QueryService.createAccessFilter(Access, FilterOperation, String...)`, `Query.setAccessFilter(AccessFilter)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD